Get candles
Deprecated
/futures/candlesPublicDeprecated: use GET /perp/candles instead. Get the BTC/USD candles (OHLC) at the range resolution, 1 minute by default. Paginated, newest first.
from?stringStart date, unix epoch 0 by default
date-time"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
date-time"2026-11-09T17:08:56.642Z"limit?integerNumber of entries to return, default to 1000
1 <= value <= 10001000cursor?stringCursor for pagination
date-timerange?stringResolution of the OHLCs
"1m""1m""3m""5m""10m""15m""30m""45m""1h""2h""3h""4h""1d""1w""1month""3months"OK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient()
const result = await client.futures.getCandles({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-09T17:08:56.136Z',
limit: 500,
range: '1m'
}){
"data": [
{
"time": "2023-05-23T09:52:57.863Z",
"open": 43250.5,
"high": 43500,
"low": 43100,
"close": 43400,
"volume": 1250000
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}Get ticker GET
Deprecated: use GET /perp/ticker instead. Get the BTC/USD ticker: mark price (index), last price, executable prices by order size, 24h change and volume…
Get leaderboard GET
Deprecated: /futures is being replaced by the /perp API; this route has no /perp equivalent yet. Get the top 10 users by P&L over the last day, 7 days, 30…